const { getRealEstateById } = require("../helpers/db/realEstate");

const getRedirect = async (req, res) => {
  const id = req.params.id || null;
  let error = false;
  let redirectUrl = undefined;
  if (!id) {
    error = true;
  } else {
    try {
      const realEstate = await getRealEstateById(id);
      if (!realEstate) {
        error = true;
      } else {
        redirectUrl = realEstate.url;
      }
    } catch (e) {
      error = true;
    }
  }

  if (error) {
    const title = "";
    res.render("notFound", { title });
  } else {
    const title = "Preusmjeravanje";
    res.render("redirect", { title, redirectUrl });
  }
};

module.exports = {
  getRedirect
};
